package intrinsic.mx.effects.effectClasses;

public class ZoomInstance extends intrinsic.mx.effects.effectClasses.TweenEffectInstance {

	/** Accessors */

	/** Variables */
	public double zoomWidthTo;
	public double originX;
	public double originY;
	public double zoomHeightFrom;
	public boolean captureRollEvents;
	public double zoomWidthFrom;
	public double zoomHeightTo;
	public intrinsic.mx.effects.Tween tween;
	public intrinsic.Function easingFunction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ZoomInstance() {
}

public ZoomInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void onTweenUpdate(Object arg0);
public native void initEffect(intrinsic.flash.events.Event arg0);
public native void finishEffect();
public native void onTweenEnd(Object arg0);
public native void play();

}
